package com.thebrokenrail.mtudining.activity.menu;

import androidx.lifecycle.SavedStateHandle;
import androidx.lifecycle.ViewModel;

import com.thebrokenrail.mtudining.api.Connection;

/**
 * Data preserved between screen rotations for {@link MenuActivity}.
 */
public class MenuViewModel extends ViewModel {
    public final MenuState state;
    public final MenuTask task;

    public MenuViewModel(SavedStateHandle savedStateHandle) {
        state = new MenuState(savedStateHandle);
        Connection connection = new Connection();
        task = new MenuTask(connection, state);
    }
}
